<?php
/*
 * Copyright (C) 2001-2002 Caldera International, Inc.  All Rights Reserved.
 */

	global $_SESSION_DOMAIN, $_MORE, $_CALENDAR_NODES;

	$_REQUIRED = getIntlMsg('MSG_REQUIRED_FIELD_MARKER');
	$_FIELDSEP = getIntlMsg('MSG_FIELD_SEP');
?>
<?= getIntlMsg('MSG_REQUIRED_FIELD_NOTICE', $_REQUIRED) ?>
<form name="usercreateForm" action="usercreate_action.php" method="post">
<table border="0" width="100%">

<tr><td width="150" class="fheader">
<?= User::isRequired('uid') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_UID') . $_FIELDSEP ?>
</td><td width="350">
<input type="text" name="_uid" value="<?= escQuote($_uid) ?>" onblur="ToLower(this)">
</td></tr>

<tr><td class="fheader">
<?= User::isRequired('firstname') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_FIRSTNAME') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_firstname" value="<?= escQuote($_firstname) ?>">
</td></tr>

<tr><td class="fheader">
<?= User::isRequired('lastname') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_LASTNAME') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_lastname" value="<?= escQuote($_lastname) ?>">
</td></tr>

<tr><td class="fheader">
<?= User::isRequired('mail') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_MAIL') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_mail" value="<?= escQuote($_mail) ?>"> @<?= $_SESSION_DOMAIN ?>
</td></tr>

<tr><td class="fheader">
<?= User::isRequired('pw') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_PASSWD') . $_FIELDSEP ?>
</td><td>
<input type="password" name="_pw" value="<?= escQuote($_pw) ?>">
</td></tr>

<tr><td class="fheader">
<?= User::isRequired('pw') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_PASSWD_AGAIN') . $_FIELDSEP ?>
</td><td>
<input type="password" name="_confirmpw" value="<?= escQuote($_confirmpw) ?>">
</td></tr>

<? if ($_CALENDAR_NODES) { ?>
	<tr><td class="fheader">
	<?= User::isRequired('calendarnodeid') ? $_REQUIRED : '' ?>
	<?= getIntlMsg('MSG_USERS_FIELD_CALENDAR_NODE') . $_FIELDSEP ?>
	</td><td>
	<select name="_calendarnodeid">
	<?= $_CALENDAR_NODES ?>
	</select>
	</td></tr>
<? } ?>

</table>


<span id="advoptions" style="<?= $_MORE ?>">
<table border="0" width="100%">
<tr><td colspan="2"><hr /></td></tr>

<tr><td width="150" class="fheader">
<?= getIntlMsg('MSG_USERS_FIELD_WORKPHONE') . $_FIELDSEP ?>
</td><td width="350">
<input type="text" name="_wphone" value="<?= escQuote($_wphone)  ?>">
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_USERS_FIELD_MOBILEPHONE') . $_FIELDSEP ?>
</td><td width="350">
<input type="text" name="_mphone" value="<?= escQuote($_mphone) ?>">
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_USERS_FIELD_HOMEPHONE') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_hphone" value="<?= escQuote($_hphone) ?>">
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_USERS_FIELD_PAGER') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_pager"   value="<?= escQuote($_pager) ?>">
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_USERS_FIELD_FAX') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_fax"     value="<?= escQuote($_fax) ?>">
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_USERS_FIELD_TITLE') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_title"   value="<?= escQuote($_title) ?>">
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_USERS_FIELD_OFFICELOCATION') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_location" value="<?= escQuote($_location) ?>">
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_USERS_FIELD_ALTMAIL') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_altmail" value="<?= escQuote($_altmail) ?>"> @<?= $_SESSION_DOMAIN ?>
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_USERS_FIELD_FORWARD') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_forward" value="<?= escQuote($_forward) ?>">
</td></tr>
</table>
</span> <!-- advoptions-->
</span>

</form>
<br />
