<!--
/*
 * Copyright (C) 2001-2002 Caldera International, Inc.  All Rights Reserved.
 */

function Validate(f) {
	var errors = '';
	var f = document.usermodifyForm;

	// Check required fields
	if (isblank(f._mail.value)) {
		errors += '<?= getIntlMsgJS('ERR_JS_FIELD_REQUIRED',
			getIntlMsgJS('MSG_USERS_FIELD_MAIL')) ?>';
	}

	// Check for invalid characters
	if (f._mail.value.match(/[<?= getIntlMsgJS('MSG_USERS_MAIL_BAD_CHARS_EXP') ?>]/)) {
		errors += '<?= getIntlMsgJS('ERR_JS_CANNOT_CONTAIN',
			getIntlMsgJS('MSG_USERS_FIELD_MAIL'),
			getIntlMsgJS('MSG_USERS_MAIL_BAD_CHARS')) ?>';
	}

	if ((! isblank(f._altmail.value)) && 
		f._altmail.value.match(/[<?= getIntlMsgJS('MSG_USERS_MAIL_BAD_CHARS_EXP') ?>]/)) {
		errors += '<?= getIntlMsgJS('ERR_JS_CANNOT_CONTAIN',
			getIntlMsgJS('MSG_USERS_FIELD_ALTMAIL'),
			getIntlMsgJS('MSG_USERS_MAIL_BAD_CHARS')) ?>';
	}

	var t = f._forward.value.match(/@/g);
	if (t && t.length > 1) {
		errors += '<?= getIntlMsgJS('ERR_JS_ATMOST_ONE',
			getIntlMsgJS('MSG_USERS_FIELD_FORWARD'),
			'@') ?>';
	}

	if ((! isblank(f._wphone.value)) &&
		f._wphone.value.match(/[<?= getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS_EXP') ?>]/)) {
		errors += '<?= getIntlMsgJS('ERR_JS_CANNOT_CONTAIN',
			getIntlMsgJS('MSG_USERS_FIELD_WORKPHONE'),
			getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS')) ?>';
	}

	if ((! isblank(f._mphone.value)) &&
		f._mphone.value.match(/[<?= getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS_EXP') ?>]/)) {
		errors += '<?= getIntlMsgJS('ERR_JS_CANNOT_CONTAIN',
			getIntlMsgJS('MSG_USERS_FIELD_MOBILEPHONE'),
			getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS')) ?>';
	}

	if ((! isblank(f._hphone.value)) &&
		f._hphone.value.match(/[<?= getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS_EXP') ?>]/)) {
		errors += '<?= getIntlMsgJS('ERR_JS_CANNOT_CONTAIN',
			getIntlMsgJS('MSG_USERS_FIELD_HOMEPHONE'),
			getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS')) ?>';
	}

	if ((! isblank(f._pager.value)) &&
		f._pager.value.match(/[<?= getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS_EXP') ?>]/)) {
		errors += '<?= getIntlMsgJS('ERR_JS_CANNOT_CONTAIN',
			getIntlMsgJS('MSG_USERS_FIELD_PAGER'),
			getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS')) ?>';
	}

	if ((! isblank(f._fax.value)) &&
		f._fax.value.match(/[<?= getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS_EXP') ?>]/)) {
		errors += '<?= getIntlMsgJS('ERR_JS_CANNOT_CONTAIN',
			getIntlMsgJS('MSG_USERS_FIELD_FAX'),
			getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS')) ?>';
	}


	if (errors) {
		alert('<?= getIntlMsgJS('ERR_JS_ERROR_IN_FORM')?>' + errors);
		return false;
	}

	return true;
}

function Submit() {
	if (Validate(document.usermodifyForm)) {
		document.usermodifyForm.submit();
	}

	return false;
}

function Reset() {
	document.usermodifyForm.reset();

	return false;
}

// -->
