<?php
/*
 * Copyright (C) 2002 Caldera International, Inc.  All Rights Reserved.
 */

/******************************************************************************
 * Class Calendar
 *
 ******************************************************************************
 */
class Calendar {
	var $nodes;	// mv, array calendar nodes available

	/* Methods */

	function Calendar() {
		$this->_initNodes();
		if (! isset($this->nodes)) {
			$this = '';
		}
	}

	function _initNodes() {
		$cmd = new Command('msgcalendarlistnodes');
		$cmd->run();
		$lines = $cmd->getOutput();

		if ($lines == '') {
			return;
		}

		unset($this->nodes);
		while ($line = array_shift($lines)) {
			$line = trim($line);

			if ($line != '') {
				list($attr, $value) = split(':', $line, 2);
				switch ($attr) {
					case 'Node' :
					case 'node' :
						list($nodeid, $node) = 
							split(':', $value, 2);
						if ($node == '') {
							$node = $nodeid;
						}
						$this->nodes[$nodeid] = $node;
						break;
					default:
						break;
				}
			}
		}
	}

	function getAlias($nodeid) {
	}
}

?>
