<?php
/*
 * Copyright (C) 2001-2002 Caldera International, Inc.  All Rights Reserved.
 */

	$alias = new Alias($mail);

	if ($alias == '') {
		gotoURL("aliasnonesuch.php?_mail=$mail&serial=$_SERIAL");
		return;
	}

	$members = new MemberList($alias, $HTTP_GET_VARS, "member:$_SERIAL");
	if ($members != '') {

		$table = $members->getTable();
		include('./admin/template/tablesettings.php');
		$members->setTable($table);

		$_COUNT = $members->count();
		$style = 'table';
		if ($style == 'list') {
			$_TABLE = $members->renderList();
			$_TABLENAV = '';
		} else {
			$_TABLE = $members->render();
			$_TABLENAV = $members->getNav();
		}

	} else {

		$_COUNT = '';
		$_TABLE = '';
		$_TABLENAV = '';

	}

	$_IS_OWNER = $alias->isOwnerUID($session_user);
	$_IS_MEMBER = $alias->isMemberUID($session_user);
	$_IS_JOINABLE = $alias->isJoinable();

	if (count($alias->owners) > 0) {
		unset($tmp);
		foreach ($alias->owners as $owner) {
			$tmp[] = '<a href="userview.php?mail=' .
				rawurlencode($owner) .  '">' . 
				MailAddress::stripLocalDomain($owner) .
				'</a>';
		}
		$_OWNERS = join(getIntlMsg('MSG_LISTSEP'). ' ', $tmp);
		unset($tmp);
	} else {
		$_OWNERS = '&nbsp;';
	}

	if ($_IS_OWNER) {
		if (count($alias->files) > 0) {
			$_FILES = $alias->files[0];
		} else {
			$_FILES = '&nbsp;';
		}
	
		if (count($alias->programs) > 0) {
			$_PROGRAMS = $alias->programs[0];
		}  else {
			$_PROGRAMS = '&nbsp;';
		}
	}

	if ($_IS_OWNER && $_IS_MEMBER) {
		$_DETAILS = getIntlMsg('MSG_ALIASES_ISOWNERMEMBER');
	} elseif ($_IS_OWNER) {
		$_DETAILS = getIntlMsg('MSG_ALIASES_ISOWNERONLY');
	} elseif ($_IS_MEMBER) {
		$_DETAILS = getIntlMsg('MSG_ALIASES_ISMEMBERONLY');
	} else {
		$_DETAILS = '';
	}

	//$_MEMBERS_TITLE  = "Members";
	//$_MEMBERS_TITLE .= " ($_COUNT)";
	//$_MEMBERS_TITLE .= ' <span class="boxstylenav">[';
	//$_MEMBERS_TITLE .= '<a class="boxstylenav" href="' . $_SELF .
	//		    '?mail=' . $mail . '&style=table">';
	//$_MEMBERS_TITLE .= "table";
	//$_MEMBERS_TITLE .= '</a> | ';
	//$_MEMBERS_TITLE .= '<a class="boxstylenav" href="' . $_SELF .
	//		    '?mail=' . $mail . '&style=list">';
	//$_MEMBERS_TITLE .= "list";
	//$_MEMBERS_TITLE .= '</a>]</span>';


	$_ADDITIONAL_HEADERS = File::parseJS('./user/aliasview.js');

	$_TITLEICON = 'main_ico_alias.gif';
	$_TITLEGRAPHIC = 'main_title_aliasview.gif';
	$_BUTTON_BACK = true;
	$_BUTTON_BACK_LINK = 'return Back()';
	$_BUTTON_HELP = true;
	$_BUTTON_HELP_LINK = 'return Help(\'u_aliasview\')';

	$lnav = new LNav();
	if ($_IS_OWNER) {
		$lnav->add(getIntlMsg('MSG_LNAV_MODIFY'),
			'return Modify(\'' . $alias->mail . '\')');
		$lnav->add(getIntlMsg('MSG_LNAV_MEMBERS'),
			'return AddMembers(\'' . $alias->mail . '\')');
		$lnav->add(getIntlMsg('MSG_LNAV_OWNERS'),
			'return AddOwners(\'' . $alias->mail . '\')');
		$lnav->add(getIntlMsg('MSG_LNAV_DELETE'),
			'return Delete(\'' . $alias->mail . '\')');
	} elseif ($_IS_JOINABLE) {
		if ($_IS_MEMBER) {
			$lnav->add(getIntlMsg('MSG_LNAV_REMOVESELF'),
				'return Go(\'aliasremoveself_action.php?mail=' .
				$alias->mail . '\')');
		} else {
			$lnav->add(getIntlMsg('MSG_LNAV_ADDSELF'),
			'return Go(\'aliasaddself_action.php?mail=' .
			$alias->mail . '\')');
		}
	}

	$_LOCALNAV = $lnav->render();
		
	$_DIALOG_CONTENT = File::parseFile('./user/content/' . $_SELF);
	$_ACTIVE_AREA = File::parseFile('./user/template/dialog.html');

?>
