DIR1=/usr/lib/perl5/site-perl/i386-linux/Text
DIR2=/usr/lib/perl5/site-perl/i386-linux/auto/Text/Iconv
POD=/usr/lib/perl5/5.6.0/i386-linux/perllocal.pod
SDIR=/usr/lib/per5/5.6.0/i386-linux/auto/Text/Iconv

[ -d $DIR2 -o -d $SDIR ] && {
	echo "Text::Iconv perl module already exists on this system"
	exit
}

[ -d $DIR1 ] || mkdir -m 755 -p $DIR1
[ -d $DIR2 ] || mkdir -m 755 -p $DIR2

cp Iconv.pm $DIR1/Iconv.pm

cp .packlist $DIR2/.packlist
cp Iconv.bs $DIR2/Iconv.bs
cp Iconv.so $DIR2/Iconv.so
cp autosplit.ix /usr/lib/perl5/site-perl/i386-linux/auto/Text/Iconv/autosplit.ix

cp Text::Iconv.3 /usr/share/perl5/man/man3/Text::Iconv.3

if [ -f $POD ]
then
	cat perllocal.pod >> $POD
else
	cp perllocal.pod $POD
fi

