DIR1=/usr/lib/perl5/site-perl/i386-linux/Locale
DIR2=/usr/lib/perl5/site-perl/i386-linux/auto/Locale/Msgcat
POD=/usr/lib/perl5/5.6.0/i386-linux/perllocal.pod
SDIR=/usr/lib/per5/5.6.0/i386-linux/auto/Locale/Msgcat

[ -d $DIR2 -o -d $SDIR ] && {
	echo "Msgcat perl module already exists on this system"
	exit
}

[ -d $DIR1 ] || mkdir -m 755 -p $DIR1
[ -d $DIR2 ] || mkdir -m 755 -p $DIR2

cp Msgcat.pm $DIR1/Msgcat.pm
cp .packlist $DIR2/.packlist
cp Msgcat.bs $DIR2/Msgcat.bs
cp Msgcat.so $DIR2/Msgcat.so
cp Locale::Msgcat.3 /usr/share/perl5/man/man3/Locale::Msgcat.3

if [ -f $POD ]
then
	cat perllocal.pod >> $POD
else
	cp perllocal.pod $POD
fi
