<?php
/*
 * Copyright (C) 2001-2002 Caldera International, Inc.  All Rights Reserved.
 */

	global $_SESSION_DOMAIN, $_MORE;

	$_REQUIRED = getIntlMsg('MSG_REQUIRED_FIELD_MARKER');
	$_FIELDSEP = getIntlMsg('MSG_FIELD_SEP');
?>

<?= getIntlMsg('MSG_REQUIRED_FIELD_NOTICE', $_REQUIRED) ?>
<form name="aliascreateForm" action="aliascreate_action.php" method="post">
<table border="0" cellpadding="3" width="100%">

<tr><td width="150" class="fheader">
<?= Alias::isRequired('name') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_ALIASES_FIELD_ALIAS') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_name" value="<?= escQuote($_name) ?>"> @<?= $_SESSION_DOMAIN ?>
</td></tr>

<tr><td width="150" class="fheader">
<?= Alias::isRequired('description') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_ALIASES_FIELD_DESC') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_description" value="<?= escQuote($_description) ?>">
</td></tr>

<tr><td class="fheader">
<?= Alias::isRequired('joinable') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_ALIASES_FIELD_MEMBERSHIP') . $_FIELDSEP ?>
</td><td>
<nobr>
<input type="radio" name="_joinable" value="TRUE" 
<?= $_joinable != "TRUE" ? ' checked="1"' : '' ?>>
<?= getIntlMsg('MSG_ALIASES_VALUE_MEMBERSHIP_OPEN') ?>
&nbsp; &nbsp; &nbsp;
<input type="radio" name="_joinable" value="FALSE" 
<?= $_joinable == "TRUE" ? ' checked="1"' : '' ?>>
<?= getIntlMsg('MSG_ALIASES_VALUE_MEMBERSHIP_RESTRICTED') ?>
</nobr>
</td></tr>

<tr><td colspan="2"><hr /></td></tr>

<tr><td colspan="2">
<span class="fheader">
<?= Alias::isRequired('owner') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_ALIASES_FIELD_OWNERS') . $_FIELDSEP ?>
</span>

<?= getIntlMsg('MSG_ALIASES_FIELD_OWNERS_FORMAT') ?>

<?= getIntlMsg('MSG_LINK_OPEN') ?>
<a href="#browse" onclick="return SelectOwners()">
<?= getIntlMsg('MSG_ALIASES_LINK_BROWSE') ?>
</a>
<?= getIntlMsg('MSG_LINK_CLOSE') ?>
</td></tr>

<tr><td colspan="2">
<input type="text" name="_owner" size="72" value="<?= escQuote($_owner) ?>">
</td></tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td colspan="2">
<span class="fheader">
<?= Alias::isRequired('member') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_ALIASES_FIELD_MEMBERS') . $_FIELDSEP ?>
</span>

<?= getIntlMsg('MSG_ALIASES_FIELD_MEMBERS_FORMAT') ?>

<?= getIntlMsg('MSG_LINK_OPEN') ?>
<a href="#browse" onclick="return SelectMembers()">
<?= getIntlMsg('MSG_ALIASES_LINK_BROWSE') ?>
</a>
<?= getIntlMsg('MSG_LINK_CLOSE') ?>
</td></tr>

<tr><td colspan="2">
<textarea name="mgenerics" cols="55" rows="6">
</textarea>
</td></tr>

</table>

<span id="advoptions" style="<?= $_MORE ?>">
<table border="0" width="100%">

<tr><td colspan="2"><hr /></td></tr>

<tr><td width="150" class="fheader">
<?= Alias::isRequired('file') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_ALIASES_FIELD_FILE') . $_FIELDSEP ?>
</td><td width="350">
<input type="text" name="_file" value="<?= escQuote($_file) ?>">
</td></tr>

<tr><td width="150" class="fheader">
<?= Alias::isRequired('program') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_ALIASES_FIELD_PROGRAM') . $_FIELDSEP ?>
</td><td width="350">
<input type="text" name="_program" value="<?= escQuote($_program)  ?>">
</td></tr>

</table>
</span>

</form>
<br />
