<?php
/*
 * Copyright (C) 2001-2002 Caldera International, Inc.  All Rights Reserved.
 */

	$_TITLEICON = 'main_ico_mailquota.gif';
	$_TITLEGRAPHIC = 'main_title_mailquota.gif';

	$_BUTTON_HELP = true;
	$_BUTTON_HELP_LINK = 'return Help(\'a_userquota\')';


	$user = new User($_uid);

	if (! $user) {
		$_TITLE   = '';
		$_MESSAGE = getIntlMsg('MSG_USERS_QUOTA_CHANGE_FAILURE', $_uid);
		$LAST_ERROR[] = getIntlMsg('ERR_NO_SUCH_USER', $_uid);
		$_ERRORS  = stdErrorMsg($LAST_ERROR, $LAST_ERROR_EXIT);

		$_DIALOG_CONTENT = File::parseFile('./admin/content/action_error.php');
		$_DIALOG_CONTENT .= "\n" . DomainDropList::disable();    
		$_ACTIVE_AREA = File::parseFile('./admin/template/dialog.html');

		return;
	}

	$quota = $HTTP_POST_VARS['_quota'];
	if (is_numeric($quota)) {
		$quota = mbToKb($quota);
	}

	if ($user->modify(array('_quota' => $quota))) {
		$_TITLE = '';

		$newquota = $user->getQuota();
		if (is_numeric($newquota)) {
			$newquota .= getIntlMsg('MSG_USERS_VALUE_QUOTA_UNIT');
			if ($user->quota <= $user->quotaused) {
				$warn = getIntlMsg('MSG_USERS_OVER_QUOTA', $user->display());
			}
		} elseif ($newquota === false) {
			$newquota = getIntlMsg('MSG_USERS_VALUE_QUOTA_NONE');
		}
		$_MESSAGE = getIntlMsg('MSG_USERS_QUOTA_CHANGE_SUCCESS', 
			$_uid, $newquota);

		if ($warn) {
			$_MESSAGE .= $warn;
		}

		$lnav = new LNav();
		$lnav->add(getIntlMsg('MSG_LNAV_VIEWUSER'),
			"return Overwrite('userview.php?uid=$_uid')");
		$lnav->add(getIntlMsg('MSG_LNAV_QUOTA'),
			"return Overwrite('userquota.php?uid=$_uid')");
		$_LOCALNAV = $lnav->render();

		$_DIALOG_CONTENT = File::parseFile('./admin/content/action_complete.php');
		$_DIALOG_CONTENT .= "\n" . DomainDropList::disable();    
		$_ACTIVE_AREA = File::parseFile('./admin/template/dialog.html');

	} else {

		$_TITLE   = '';
		$_MESSAGE = getIntlMsg('MSG_USERS_QUOTA_CHANGE_FAILURE', $_uid);
		$_ERRORS  = stdErrorMsg($LAST_ERROR, $LAST_ERROR_EXIT);
		$_BUTTON_RETRY = true;
		$_BUTTON_RETRY_LINK = "return Overwrite('userquota.php?uid=$_uid')";

		$_DIALOG_CONTENT = File::parseFile('./admin/content/action_error.php');
		$_DIALOG_CONTENT .= "\n" . DomainDropList::disable();    
		$_ACTIVE_AREA = File::parseFile('./admin/template/dialog.html');
	}
?>
